%global pypi_name passlib

Summary:        comprehensive password hashing framework supporting over 30 schemes
Name:           python-%{pypi_name}
Version:        1.7.4
Release:        3%{?dist}
License:        BSD
URL:            https://pypi.org/project/passlib
Source:         %pypi_source

BuildArch:      noarch

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 30 password hashing algorithms, as well
as a framework for managing existing password hashes. It's designed to be useful
for a wide range of tasks, from verifying a hash found in /etc/shadow, to
providing full-strength password hashing for multi-user applications.

%package -n python3-%{pypi_name}
Summary:        {%summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name}
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 30 password hashing algorithms, as well
as a framework for managing existing password hashes. It's designed to be useful
for a wide range of tasks, from verifying a hash found in /etc/shadow, to
providing full-strength password hashing for multi-user applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 kianli <kianli@tencent.com> - 1.7.4-1
- initial build
